/**
 * Theme Global JS
 */
(function( $ ) {
    $(".responsive-menu li.menu-item-has-children").children("a").after('<svg class="nav-sub-menu-trigger nav-child-ind icon icon-chevron-right" role="img"><use href="#icon-chevron-right" xlink:href="#icon-chevron-right"></use></svg>');
    
    $(".nav-sub-menu-trigger").click(function() {
        if ($(this).parent().children('ul').css("display") == "none") {
            $(this).parent().children('ul').slideDown(500);
            $(this).rotate(90);
        } else if ($(this).parent().children('ul').css("display") == "block") {
            $(this).parent().find('ul').slideUp(500);
            $(this).parent().find('.nav-sub-menu-trigger').rotate(0);
        }
    });
    
    $("#nav-open-btn").click(function() {
        $(this).css("display", "none");
        $("#nav-close-btn").css("display", "inline-block");
        $(".site-nav-responsive-menu").slideDown(600);        
    });
    
    $("#nav-close-btn").click(function() {
        $(this).css("display", "none");
        $("#nav-open-btn").css("display", "inline-block");
        $(".site-nav-responsive-menu").slideUp(600);        
    });


})( jQuery );