<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo('charset'); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page-wrap"<?php aflatoon_sidebar_class(); ?>>
    <header class="site-header" id="banner">
        <?php aflatoon_logo(); ?>
        <?php aflatoon_site_info(); ?>
        <?php aflatoon_navigation('top-menu', 'top-menu', 'top-menu-container'); ?>
    </header>
    <div id="responsive-nav-container">
        <div class="responsive-btn-container">
            <a id="nav-open-btn" href="javascript:void(0)"><?php echo aflatoon_get_svg(array('icon'=>'menu')); ?></a>
            <a id="nav-close-btn" href="javascript:void(0)"><?php echo aflatoon_get_svg(array('icon'=>'x')); ?></a>
        </div>
        <?php aflatoon_navigation('responsive-menu', 'responsive-menu', 'responsive-menu-container'); ?>
    </div>