<?php
/**
 * Template for displaying search forms
 *
 */
?>

<?php $unique_id = esc_attr(uniqid('search-form-')); ?>
<div class="search-section">
<form role="search" method="get" class="search-form" action="<?php echo esc_url(home_url('/')); ?>">
	<input type="search" id="<?php echo $unique_id; ?>" class="search-field" placeholder="<?php echo esc_attr_x('Search &hellip;', 'placeholder', 'aflatoon'); ?>" value="<?php echo get_search_query(); ?>" name="s" />
	<button type="submit" class="search-submit"><?php echo aflatoon_get_svg(array('icon'=>'search')); ?><span class="screen-reader-text"><?php echo _x('Search', 'submit button', 'aflatoon'); ?></span></button>
</form>
</div>